Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_endpoints"{ "data": [ { "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "string", "secret_rotated_at": "string", "version": 0, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Header Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_endpoints" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com/hooks/orishare", "subscribed_types": [ "points.awarded", "reward.issued" ] }'{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "string", "secret_rotated_at": "string", "version": 0, "created_at": "string", "updated_at": "string", "signing_secret": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_endpoints/string"{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "string", "secret_rotated_at": "string", "version": 0, "created_at": "string", "updated_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/webhook_endpoints/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "string", "secret_rotated_at": "string", "version": 0, "created_at": "string", "updated_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/webhook_endpoints/string"Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_endpoints/string/secrets"{ "id": "string", "url": "string", "subscribed_types": [ "string" ], "status": "active", "disabled_reason": "string", "failing_since": "string", "secret_rotated_at": "string", "version": 0, "created_at": "string", "updated_at": "string", "signing_secret": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Query Parameters
1 <= value <= 20050length <= 2048Value in
- "pending"
- "delivered"
- "dead"
- "disabled"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_deliveries"{ "data": [ { "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "string", "last_status": 0, "last_error": "string", "delivered_at": "string", "replay_of": "string", "created_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_deliveries" \ -H "Content-Type: application/json" \ -d '{ "endpoint_id": "string" }'{ "delivery": { "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "string", "last_status": 0, "last_error": "string", "delivered_at": "string", "replay_of": "string", "created_at": "string" }, "attempt": { "delivery_id": "string", "status": "delivered", "attempts": 0, "http_status": 0, "error": "string", "next_attempt_at": "string" }}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhook_deliveries/string"{ "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "string", "last_status": 0, "last_error": "string", "delivered_at": "string", "replay_of": "string", "created_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_deliveries/string/replay"{ "delivery": { "id": "string", "endpoint_id": "string", "event_type": "string", "event_id": "string", "payload": null, "status": "pending", "attempts": 0, "next_attempt_at": "string", "last_status": 0, "last_error": "string", "delivered_at": "string", "replay_of": "string", "created_at": "string" }, "attempt": { "delivery_id": "string", "status": "delivered", "attempts": 0, "http_status": 0, "error": "string", "next_attempt_at": "string" }}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhook_deliveries/fan_out" \ -H "Content-Type: application/json" \ -d '{ "outbox_id": "string", "payload": { "property1": null, "property2": null } }'{ "delivery_ids": [ "string" ]}